{% extends "layout.html.twig" %}

{% block content %}

    <div class="row ">
        <form method="post" action="{{ BASE_URL }}/oeuvre/validFormModifierOeuvre">
            <fieldset>
                <legend>Modifier une Oeuvre</legend>

                <input name="noOeuvre" type="hidden" value="{{ donnees.noOeuvre }}"/>

                <label>Titre</label>
                <input name="titre" type="text" size="18" value="{{ donnees.titre }}"/>
                {% if erreurs.titre is defined %}
                    <small class="error">{{ erreurs.titre }}</small>
                {% endif %}

                <label>Date de Parution</label>
                <input name="dateParution" type="text" size="18" value="{{ donnees.dateParution }}"/>
                {% if erreurs.dateParution is defined %}
                    <small class="error">{{ erreurs.dateParution }}</small>
                {% endif %}

                <label>Auteur</label>
                <select name="idAuteur">
                    {% if donnees.idAuteur is not defined or donnees.idAuteur is empty %}
                        <option value="">Saisir une valeur</option>
                    {% endif %}
                    {% for auteur in auteurs %}
                        <option value="{{ auteur.idAuteur }}"
                                {% if donnees.idAuteur is defined and auteur.idAuteur == donnees.idAuteur %}selected{% endif %}>
                            {{ auteur.nomAuteur }}
                        </option>
                    {% endfor %}
                </select>
                {% if erreurs.idAuteur is defined %}
                    <small class="error">{{ erreurs.idAuteur }}</small>
                {% endif %}

                <label>Photo</label>
                <input name="photo" type="text" size="18" value="{{ donnees.photo }}"/>
                {% if erreurs.photo is defined %}
                    <small class="error">{{ erreurs.photo }}</small>
                {% endif %}

                <input type="submit" name="validerForm" value="valider"/>

            </fieldset>
        </form>
    </div>
{% endblock %}